### Function

# Fwupd Device id_is_valid

since: 1.4.1

#### Declaration [src]

    gboolean
    fwupd_device_id_is_valid (
      const gchar* device_id
    )

#### Description [src]

Checks the string is a valid non-partial device ID. It is important to note that the wildcard ID of `*` is not considered a valid ID in this function and the client must check for this manually if this should be allowed.

Available since: 1.4.1

#### Parameters

`device_id`

  Type: `const gchar*`

  String to check, e.g. `d3fae86d95e5d56626129d00e332c4b8dac95442`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `guid` was a fwupd device ID, `FALSE` otherwise.